サポート » テーマ » 子テーマのfunctions.phpによるエラー

  • 解決済 yokudekiru

    (@yokudekiru)


    ワードプレスのプラグインやテーマの編集時にこんなエラーが出ます。

    Warning: Cannot modify header information – headers already sent by (output started at /(管理者によって削除)/wp-content/themes/simplicity-child/functions.php:1) in /(管理者によって削除)/wp-includes/pluggable.php on line 1196

    とりあえず【wp-content/themes/simplicity-child/functions.php】とあったので、とりあえずFTPからsimplicity-child内のfunctions.phpを削除することで解決しました。

    しかし、子テーマからfunctions.phpを使えないのはテーマのアップデート時に不便です。

    そのため、functions.phpを空にしてみるなど解決方法を模索しましたが、やはりエラーがでます。

    ちなみにテーマはsimplicity、ワードプレスは最新版を使用しています。

    どうやったら、解決できるのでしょうか?教えてください。

2件の返信を表示中 - 1 - 2件目 (全2件中)
  • こんにちは、

    たぶんエディタが Windows の notepad なんじゃないですか?

    https://notepad-plus-plus.org/

    等に変更して、保存時に UTF-8 BOMなしで保存すると大丈夫な感じがします。

    スレッド開始 yokudekiru

    (@yokudekiru)

    返信有難うございます。

    UTF-8で保存しなければならないことは知っていたのですが、BOMなしで保存しなければいけないことは知りませんでした。

    これからは子テーマからfunctions.phpを使えそうです。

2件の返信を表示中 - 1 - 2件目 (全2件中)
  • トピック「子テーマのfunctions.phpによるエラー」には新たに返信することはできません。